From 4464e134eae415c47c437393073411c26d64bd4a Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Tue, 3 Apr 2018 10:25:41 -0700
Subject: [PATCH] Fix GCC 7 snprintf() compiler warning.

Make buffer 1 byte larger to fit a sign.  It's actually impossible for
there to be a sign in practice, but this is still required to keep GCC 7
happy.

Cleanup from commit 51bc271790eb234a1ba4d14d3e6530f70de92ab5.

Based on a suggestion from Peter Eisentraut.

Author: Peter Geoghegan
Reported-By: Peter Eisentraut
Discussion: https://postgr.es/m/d1cc82ed-d07d-cef2-7c00-2e987f121648@2ndquadrant.com
---
 src/test/modules/test_bloomfilter/test_bloomfilter.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/modules/test_bloomfilter/test_bloomfilter.c b/src/test/modules/test_bloomfilter/test_bloomfilter.c
index 1691b0f..358afbe 100644
--- a/src/test/modules/test_bloomfilter/test_bloomfilter.c
+++ b/src/test/modules/test_bloomfilter/test_bloomfilter.c
@@ -18,8 +18,8 @@
 
 PG_MODULE_MAGIC;
 
-/* Must fit decimal representation of PG_INT64_MAX + 2 bytes: */
-#define MAX_ELEMENT_BYTES		20
+/* Fits decimal representation of PG_INT64_MIN + 2 bytes: */
+#define MAX_ELEMENT_BYTES		21
 /* False positive rate WARNING threshold (1%): */
 #define FPOSITIVE_THRESHOLD		0.01
 
-- 
2.7.4

